﻿import requests
import json
from flask import Flask, render_template
import urllib.parse

app = Flask(__name__)


@app.route('/')
def hello_world():

    headers = {"content-type": "application/json"}
    response = requests.get(

        'http://hapi.fhir.org/baseDstu3/Observation',

        params={'patient': '1723865'},
        headers=headers)

    jread = response.json()
    jdata = json.dumps(jread, indent=2)

    #path_w = 'c:/python/sampleout.txt'
    #with open(path_w, mode='w') as f:
     #f.write(jdata) # 問題なく出力される

    html = render_template('index3.html', a = jdata)
    return html
     
if __name__ == "__main__":
        app.run()
